Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.layout.pdf.emitter
Class InlineTextLayout

    java.lang.Object
      org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
          org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
              org.eclipse.birt.report.engine.layout.pdf.emitter.InlineStackingLayout
                  org.eclipse.birt.report.engine.layout.pdf.emitter.InlineTextLayout

All Implemented Interfaces:
  IInlineStackingLayout

    public class InlineTextLayout

extends InlineStackingLayout

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
`contextList, currentContext, isInBlockStacking, isInline, offsetX, offsetY`

Fields inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
`content, context, logger, parent, specifiedHeight, specifiedWidth`

Constructor Summary
`InlineTextLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context, org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext, IContent content)`

Method Summary
`void` | `layout()`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.InlineStackingLayout
`addToRoot, closeLayout, createRoot, endLine, getMaxLineWidth, initialize, isEmptyLine, setTextIndent, verticalAlign`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout
`addArea, addArea, addArea, addToRoot, addToRoot, align, autoPageBreak, closeExcludingLast, closeFirstN, closeLayout, getCurrentMaxContentHeight, getCurrentMaxContentWidth, getLineHeight, getMaxAvaHeight, getMaxAvaWidth, getOffsetX, getOffsetY, gotoFirstPage, gotoLastPage, isPageEmpty, isRootEmpty, setCurrentContext, step`

Methods inherited from class org.eclipse.birt.report.engine.layout.pdf.emitter.Layout
`calculateSpecifiedHeight, calculateSpecifiedWidth, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getDimensionValue, getParent, getResolution, getTableLayoutManager, removeMargin, resolveBoxConflict, validateBoxProperty, validateBoxProperty, visitContent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InlineTextLayout

    public InlineTextLayout(org.eclipse.birt.report.engine.layout.pdf.emitter.LayoutEngineContext context,
                            org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout parentContext,
                            IContent content)

Method Detail

### layout

    public void layout()
                throws org.eclipse.birt.core.exception.BirtException

  Overrides:
    `layout` in class `org.eclipse.birt.report.engine.layout.pdf.emitter.ContainerLayout`
  Throws:
    `org.eclipse.birt.core.exception.BirtException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.